Only use lua in %pretrans, not shell

In case I see an error like this again:
Error creating Live CD : Dependency check failed : (('package', '1.1', '1.fc20'), ('/bin/sh', ''), 0, 0, None)

Take a look at %pretrans in the spec file of said package.

We shouldn’t use shell in %pretrans as doing so breaks system installations and kickstarts because %pretrans is run before any dependencies are met.

This is spelled out in Fedora’s Packaging Guidelines.

If we must use %pretrans, we should do so using lua.

0 Responses to “Only use lua in %pretrans, not shell”


  • No Comments

Leave a Reply